Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Interface CSSOMStyleDeclaration.ModificationHandler

All Known Implementing Classes:
  SVGStylableElement.StyleDeclaration

Enclosing interface:
  CSSOMStyleDeclaration

public static interface CSSOMStyleDeclaration.ModificationHandler

To manage the modifications on a CSS value.

Method Summary
`void` | `propertyChanged(java.lang.String name, java.lang.String value, java.lang.String prio)` Called when a property was changed.
`void` | `propertyRemoved(java.lang.String name)` Called when a property was removed.
`void` | `textChanged(java.lang.String text)` Called when the value text has changed.

Method Detail

### textChanged

    public void textChanged(java.lang.String text)
                     throws org.w3c.dom.DOMException

  Called when the value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### propertyRemoved

    public void propertyRemoved(java.lang.String name)
                         throws org.w3c.dom.DOMException

  Called when a property was removed.

  Throws:
    `org.w3c.dom.DOMException`

### propertyChanged

    public void propertyChanged(java.lang.String name,
                                java.lang.String value,
                                java.lang.String prio)
                         throws org.w3c.dom.DOMException

  Called when a property was changed.

  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.